package com.yihu.jw.entity.care.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Bing on 2021/8/12.
 * 睡眠带
 */
@Entity
@Table(name="base_sleep_device")
public class BaseSleepDeviceReport extends IdEntity {

    public String patient;
    public String deviceSn; //睡眠带MAC地址
    public String fallaSleep;   //入睡时长 （分钟）
    public String sleepTime;    //睡眠时长 （分钟）
    public String restTime;     //休息时长 （分钟）
    public String awakeTime;    //清醒时长 （分钟）
    public String lightTime;//浅睡时长 （分钟）
    public String remTime;  //rem时长  （分钟）
    public String deepTime; //深睡时长 （分钟）
    public String bucket;   //睡眠时段
    public String avghr;    //平均心率
    public String avgbr;    //平均呼吸率
    public String awakePer; //清醒百分比
    public String remPer;   //rem百分比
    public String lightPer; //浅睡百分比
    public String deepPer;  //深睡百分比
    public String efficiency;   //睡眠效率
    public String score;    //睡眠评分
    public Date createTime; // //日期
    public Integer del; //是否有效 1有效 0无效

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getFallaSleep() {
        return fallaSleep;
    }

    public void setFallaSleep(String fallaSleep) {
        this.fallaSleep = fallaSleep;
    }

    public String getSleepTime() {
        return sleepTime;
    }

    public void setSleepTime(String sleepTime) {
        this.sleepTime = sleepTime;
    }

    public String getRestTime() {
        return restTime;
    }

    public void setRestTime(String restTime) {
        this.restTime = restTime;
    }

    public String getAwakeTime() {
        return awakeTime;
    }

    public void setAwakeTime(String awakeTime) {
        this.awakeTime = awakeTime;
    }

    public String getLightTime() {
        return lightTime;
    }

    public void setLightTime(String lightTime) {
        this.lightTime = lightTime;
    }

    public String getRemTime() {
        return remTime;
    }

    public void setRemTime(String remTime) {
        this.remTime = remTime;
    }

    public String getDeepTime() {
        return deepTime;
    }

    public void setDeepTime(String deepTime) {
        this.deepTime = deepTime;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getAvghr() {
        return avghr;
    }

    public void setAvghr(String avghr) {
        this.avghr = avghr;
    }

    public String getAvgbr() {
        return avgbr;
    }

    public void setAvgbr(String avgbr) {
        this.avgbr = avgbr;
    }

    public String getAwakePer() {
        return awakePer;
    }

    public void setAwakePer(String awakePer) {
        this.awakePer = awakePer;
    }

    public String getRemPer() {
        return remPer;
    }

    public void setRemPer(String remPer) {
        this.remPer = remPer;
    }

    public String getLightPer() {
        return lightPer;
    }

    public void setLightPer(String lightPer) {
        this.lightPer = lightPer;
    }

    public String getDeepPer() {
        return deepPer;
    }

    public void setDeepPer(String deepPer) {
        this.deepPer = deepPer;
    }

    public String getEfficiency() {
        return efficiency;
    }

    public void setEfficiency(String efficiency) {
        this.efficiency = efficiency;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
